commit:     c02c69b1fe9ec0f1c148bd6a3715e3049c785c93
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 13 07:02:09 2021 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue Jul 13 09:20:46 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c02c69b1

dev-ruby/minitest-bonus-assertions: add ruby30; EAPI7; fix tests

Package-Manager: Portage-3.0.20, Repoman-3.0.2
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 .../minitest-bonus-assertions-3.0-r1.ebuild        | 33 ++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git 
a/dev-ruby/minitest-bonus-assertions/minitest-bonus-assertions-3.0-r1.ebuild 
b/dev-ruby/minitest-bonus-assertions/minitest-bonus-assertions-3.0-r1.ebuild
new file mode 100644
index 00000000000..21e882e7047
--- /dev/null
+++ b/dev-ruby/minitest-bonus-assertions/minitest-bonus-assertions-3.0-r1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_EXTRADOC="History.rdoc README.rdoc"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Bonus assertions for minitest"
+HOMEPAGE="https://github.com/halostatue/minitest-bonus-assertions";
+
+LICENSE="MIT"
+SLOT="2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux 
~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris 
~x86-solaris"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/minitest dev-ruby/minitest-pretty_diff )"
+
+all_ruby_prepare() {
+       sed -i -e '/\(bisect\|focus\|moar\)/ s:^:#:' test/minitest_config.rb || 
die
+
+       # assert the right value (as specified in the text of the test)
+       # this probably needs more investigation, but this package is only used
+       # by another package from the same author so we'll go with it
+       sed -i -e '140 s/true/false/' -e '216 s/false/true/' 
test/test_minitest-bonus-assertions.rb || die
+}
+
+each_ruby_test() {
+       ${RUBY} -Ilib:.:test -e 'Dir["test/test_*.rb"].each{|f| require f}' || 
die
+}

Reply via email to